Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 26913005: start/stop method for AudioBufferSourceNodes and OscillatorNodes can take no args. (Closed)

Created:
6 years, 1 month ago by Raymond Toy (Google)
Modified:
6 years, 1 month ago
CC:
blink-reviews
Visibility:
Public.

Description

start/stop method for AudioBufferSourceNodes and OscillatorNodes can take no args. For AudioBufferSourceNodes, see http://webaudio.github.io/web-audio-api/#methodsandparams-AudioBufferSourceNode For OscillatorNodes, see https://github.com/WebAudio/web-audio-api/issues/249 BUG=305829, 306141 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=160845

Patch Set 1 #

Total comments: 4

Patch Set 2 : Refactor to remove ImplementedAs=startGrain #

Patch Set 3 : Remove incorrect comment. #

Total comments: 3

Patch Set 4 : #

Total comments: 1

Patch Set 5 : #

Total comments: 5

Patch Set 6 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+64 lines, -28 lines) Patch
M LayoutTests/webaudio/dom-exceptions.html View 1 chunk +12 lines, -0 lines 0 comments Download
M LayoutTests/webaudio/dom-exceptions-expected.txt View 1 chunk +6 lines, -0 lines 0 comments Download
M Source/modules/webaudio/AudioBufferSourceNode.h View 1 2 3 4 2 chunks +5 lines, -2 lines 0 comments Download
M Source/modules/webaudio/AudioBufferSourceNode.cpp View 1 2 3 4 5 3 chunks +35 lines, -18 lines 0 comments Download
M Source/modules/webaudio/AudioBufferSourceNode.idl View 1 2 3 1 chunk +2 lines, -4 lines 0 comments Download
M Source/modules/webaudio/AudioScheduledSourceNode.h View 1 1 chunk +2 lines, -2 lines 0 comments Download
M Source/modules/webaudio/OscillatorNode.idl View 1 chunk +2 lines, -2 lines 0 comments Download

Messages

Total messages: 20 (0 generated)
Raymond Toy (Google)
6 years, 1 month ago (2013-10-10 21:17:57 UTC) #1
Ken Russell (switch to Gerrit)
On the whole this looks OK but a couple of comments. Tell me if you ...
6 years, 1 month ago (2013-10-11 20:19:06 UTC) #2
Raymond Toy (Google)
https://codereview.chromium.org/26913005/diff/1/Source/modules/webaudio/AudioBufferSourceNode.idl File Source/modules/webaudio/AudioBufferSourceNode.idl (right): https://codereview.chromium.org/26913005/diff/1/Source/modules/webaudio/AudioBufferSourceNode.idl#newcode46 Source/modules/webaudio/AudioBufferSourceNode.idl:46: [MeasureAs=WebAudioStart] void start(optional double when); On 2013/10/11 20:19:06, Ken ...
6 years, 1 month ago (2013-10-11 20:51:29 UTC) #3
Raymond Toy (Google)
Refactored C++ code as suggested. Please take a look.
6 years, 1 month ago (2013-10-14 19:45:57 UTC) #4
Ken Russell (switch to Gerrit)
https://codereview.chromium.org/26913005/diff/14001/Source/modules/webaudio/AudioBufferSourceNode.cpp File Source/modules/webaudio/AudioBufferSourceNode.cpp (right): https://codereview.chromium.org/26913005/diff/14001/Source/modules/webaudio/AudioBufferSourceNode.cpp#newcode377 Source/modules/webaudio/AudioBufferSourceNode.cpp:377: AudioScheduledSourceNode::start(when); Are you sure it's correct to delegate to ...
6 years, 1 month ago (2013-10-14 22:54:05 UTC) #5
Raymond Toy (Google)
https://codereview.chromium.org/26913005/diff/14001/Source/modules/webaudio/AudioBufferSourceNode.cpp File Source/modules/webaudio/AudioBufferSourceNode.cpp (right): https://codereview.chromium.org/26913005/diff/14001/Source/modules/webaudio/AudioBufferSourceNode.cpp#newcode377 Source/modules/webaudio/AudioBufferSourceNode.cpp:377: AudioScheduledSourceNode::start(when); On 2013/10/14 22:54:05, Ken Russell wrote: > Are ...
6 years, 1 month ago (2013-10-28 17:34:56 UTC) #6
Ken Russell (switch to Gerrit)
https://codereview.chromium.org/26913005/diff/14001/Source/modules/webaudio/AudioBufferSourceNode.cpp File Source/modules/webaudio/AudioBufferSourceNode.cpp (right): https://codereview.chromium.org/26913005/diff/14001/Source/modules/webaudio/AudioBufferSourceNode.cpp#newcode377 Source/modules/webaudio/AudioBufferSourceNode.cpp:377: AudioScheduledSourceNode::start(when); On 2013/10/28 17:34:57, rtoy wrote: > On 2013/10/14 ...
6 years, 1 month ago (2013-10-28 20:13:42 UTC) #7
Raymond Toy (Google)
On 2013/10/28 20:13:42, Ken Russell wrote: > https://codereview.chromium.org/26913005/diff/14001/Source/modules/webaudio/AudioBufferSourceNode.cpp > File Source/modules/webaudio/AudioBufferSourceNode.cpp (right): > > https://codereview.chromium.org/26913005/diff/14001/Source/modules/webaudio/AudioBufferSourceNode.cpp#newcode377 ...
6 years, 1 month ago (2013-10-28 21:21:29 UTC) #8
Ken Russell (switch to Gerrit)
Thanks for making this change. The direction seems significantly better. One remaining concern. https://codereview.chromium.org/26913005/diff/99001/Source/modules/webaudio/AudioBufferSourceNode.cpp File ...
6 years, 1 month ago (2013-10-28 21:32:30 UTC) #9
Raymond Toy (Google)
On 2013/10/28 21:32:30, Ken Russell wrote: > Thanks for making this change. The direction seems ...
6 years, 1 month ago (2013-10-28 21:39:10 UTC) #10
Ken Russell (switch to Gerrit)
On 2013/10/28 21:39:10, rtoy wrote: > Doing this will simplify the code to just one ...
6 years, 1 month ago (2013-10-28 21:55:40 UTC) #11
Raymond Toy (Google)
On 2013/10/28 21:55:40, Ken Russell wrote: > On 2013/10/28 21:39:10, rtoy wrote: > > Doing ...
6 years, 1 month ago (2013-10-28 22:12:50 UTC) #12
Raymond Toy (Google)
PTAL.
6 years, 1 month ago (2013-10-28 22:26:05 UTC) #13
Ken Russell (switch to Gerrit)
https://codereview.chromium.org/26913005/diff/179001/Source/modules/webaudio/AudioBufferSourceNode.cpp File Source/modules/webaudio/AudioBufferSourceNode.cpp (right): https://codereview.chromium.org/26913005/diff/179001/Source/modules/webaudio/AudioBufferSourceNode.cpp#newcode409 Source/modules/webaudio/AudioBufferSourceNode.cpp:409: if (isGrain) { It looks like an else clause ...
6 years, 1 month ago (2013-10-28 23:06:31 UTC) #14
Raymond Toy (Google)
https://codereview.chromium.org/26913005/diff/179001/Source/modules/webaudio/AudioBufferSourceNode.cpp File Source/modules/webaudio/AudioBufferSourceNode.cpp (right): https://codereview.chromium.org/26913005/diff/179001/Source/modules/webaudio/AudioBufferSourceNode.cpp#newcode409 Source/modules/webaudio/AudioBufferSourceNode.cpp:409: if (isGrain) { On 2013/10/28 23:06:31, Ken Russell wrote: ...
6 years, 1 month ago (2013-10-28 23:20:38 UTC) #15
Raymond Toy (Google)
https://codereview.chromium.org/26913005/diff/179001/Source/modules/webaudio/AudioBufferSourceNode.cpp File Source/modules/webaudio/AudioBufferSourceNode.cpp (right): https://codereview.chromium.org/26913005/diff/179001/Source/modules/webaudio/AudioBufferSourceNode.cpp#newcode409 Source/modules/webaudio/AudioBufferSourceNode.cpp:409: if (isGrain) { On 2013/10/28 23:20:38, rtoy wrote: > ...
6 years, 1 month ago (2013-10-28 23:37:59 UTC) #16
Ken Russell (switch to Gerrit)
Thanks for persevering with this CL. LGTM
6 years, 1 month ago (2013-10-28 23:55:48 UTC) #17
Raymond Toy (Google)
On 2013/10/28 23:55:48, Ken Russell wrote: > Thanks for persevering with this CL. LGTM Likewise!
6 years, 1 month ago (2013-10-29 14:59:59 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rtoy@google.com/26913005/269002
6 years, 1 month ago (2013-10-29 15:01:32 UTC) #19
commit-bot: I haz the power
6 years, 1 month ago (2013-10-29 17:20:00 UTC) #20
Message was sent while issue was closed.
Change committed as 160845

Powered by Google App Engine
This is Rietveld 408576698